
Redmine - Defect #20218

Wrong calculation of spent time in issues dashboard if nested tasks

2015-07-01 10:45 - Stephane Evr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.0.1

Description

- Create a Task "Parent task 1", and log some time (5 hours)

- Create a subtask of "Parent task 1" (let's call it "subtask 1.1"), and log some time (7 hours)

Here is what we get on their respective page (which is correct):

Parent task 1:

 

subtask 1.1:

 

And what we see on the dashboard:

 

Expected: Spent time on parent task 1.1 should  be 12 hours

History

#1 - 2015-07-02 12:45 - Stephane Evr

Update: Environment

Environment:

  Redmine version                3.0.1.stable.14155

  Ruby version                   2.2.1-p85 (2015-02-26) [x86_64-linux]

  Rails version                  4.2.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.8

  Git                            1.9.1

  Filesystem                     
#2 - 2015-07-05 13:36 - Jean-Philippe Lang

- Category set to Time tracking

- Status changed from New to Closed

- Resolution set to Duplicate

The issue list only shows the hours logged against the issue, not the total spent time including subtasks.

Same as #12610, feature request: #11253.

#3 - 2015-07-05 13:37 - Jean-Philippe Lang

Note that 3.1 will display: "5h00 (Total: 12h00)" on the parent task view.
